{ config, pkgs, ... }:
{
  programs.vim = {
    enable = true;
    defaultEditor = true;
    plugins = with pkgs.vimPlugins; [
      vim-nix
      rust-vim
      fzf-vim
    ];
    extraConfig = ''
      source ${./rcfiles/vimrc}
    '';
  };
}
